QXmppSrvRecord Class Reference

The QXmppSrvRecord class represents a DNS SRV record. More...

`#include <QXmppSrvInfo.h>`

List of all members.

## Public Member Functions

| QXmppSrvRecord ()
| QXmppSrvRecord (const QXmppSrvRecord &other)
| Constructs a copy of other.
| ~QXmppSrvRecord ()
| Destroys a service record.
QString | target () const
void | setTarget (const QString &target)
quint16 | port () const
void | setPort (quint16 port)
quint16 | priority () const
void | setPriority (quint16 priority)
quint16 | weight () const
void | setWeight (quint16 weight)
QXmppSrvRecord & | operator= (const QXmppSrvRecord &other)

## Detailed Description

The QXmppSrvRecord class represents a DNS SRV record.

## Constructor & Destructor Documentation

QXmppSrvRecord::QXmppSrvRecord | ( |  | ) |

Constructs an empty service record object.

## Member Function Documentation

QXmppSrvRecord & QXmppSrvRecord::operator= | ( | const QXmppSrvRecord & | other | ) |

Assigns the data of the other object to this service record object, and returns a reference to it.

quint16 QXmppSrvRecord::port | ( |  | ) | const

Returns the port for this service record.

quint16 QXmppSrvRecord::priority | ( |  | ) | const

Returns the priority for this service record.

void QXmppSrvRecord::setPort | ( | quint16 | port | ) |

Sets the port for this service record.

Parameters:

  port |

void QXmppSrvRecord::setPriority | ( | quint16 | priority | ) |

Sets the priority for this service record.

Parameters:

  priority |

void QXmppSrvRecord::setTarget | ( | const QString & | target | ) |

Sets the host name for this service record.

Parameters:

  target |

void QXmppSrvRecord::setWeight | ( | quint16 | weight | ) |

Sets the weight for this service record.

Parameters:

  weight |

QString QXmppSrvRecord::target | ( |  | ) | const

Returns host name for this service record.

quint16 QXmppSrvRecord::weight | ( |  | ) | const

Returns the weight for this service record.

The documentation for this class was generated from the following files:

- QXmppSrvInfo.h
- QXmppSrvInfo.cpp

All Classes Functions Enumerations Enumerator Properties